2019-10-23 13:00 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001173FSSCPspeechpublic2006-12-24 17:03
Reportermiskat 
Assigned Tokarajorma 
PrioritynormalSeverityfeatureReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.9 
Target VersionFixed in Version3.6.9 
Summary0001173: SetNotifyWindowMessage Failes on initialization. Causes voice recognition to fail to initialize.
DescriptionWhen using the -voicer extension in 3.6.9rc7dot9 there is no error message, but voice recognition does not function. However in a build that Karajorma posted on the forums (presumably a CVS build) topic link:
http://www.hard-light.net/forums/index.php/topic,43912.0.html
an error message did crop up. The message was simple: Failed to SetNotifyWindowMessage and then a second "Voice recognition failed to init" and voice recognition functionality is lost.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0007297

taylor (administrator)

The init call probably just needs to be moved to below the screen setup (after os_set_title()) in freespace.cpp. I change various things to fix a bunch of bugs in the window handling, so it works a little differently now. The system may just not be in a fully sane state until after the graphics subsystem is initted.

Try moving that code block in question and let me know if it helps any.

~0007298

karajorma (administrator)

Last edited: 2006-12-15 15:33

Tried it and it worked. Uploading a build for miskat

He can find it at http://fs2source.warpcore.org/exes/karajorma/20061215-SpeechRecognitionBuild.rar

~0007300

miskat (reporter)

Issue resolved. No errors on startup and voice recognition works as intended. Good work, Taylor! =D

~0007312

taylor (administrator)

Assigning to karajorma so that maybe he'll commit the fix already and resolve this bug (3.6.9 is only a few short days from release ya know). ;)
+Notes

-Issue History
Date Modified Username Field Change
2006-12-15 10:53 miskat New Issue
2006-12-15 15:02 taylor Note Added: 0007297
2006-12-15 15:28 karajorma Note Added: 0007298
2006-12-15 15:33 karajorma Note Edited: 0007298
2006-12-15 19:57 miskat Note Added: 0007300
2006-12-20 05:46 taylor Note Added: 0007312
2006-12-20 05:46 taylor Assigned To => karajorma
2006-12-20 05:46 taylor Status new => assigned
2006-12-24 17:03 Goober5000 Status assigned => resolved
2006-12-24 17:03 Goober5000 Resolution open => fixed
2006-12-24 17:03 Goober5000 Fixed in Version => 3.6.9
+Issue History